Show true message source in Special:Allmessages&ot=php / xml
Closed, ResolvedPublic

Assigned To
None
Priority
Normal
Author
bzimport
Subscribers
IAlex, wikibugs-l
Projects
Reference
bz13431
Description

Author: bugzilla.wikimedia

Description:
Constants, like {{SITENAME}}, most functions, like {{plural|...}}, some transclusions, and all templates are expanded, and html comments removed, before

Special:Allmessages&ot=php
Special:Allmessages&ot=xml

output is generated. Rather than including these expanded, users would usually expect to receive a souce format truly suited for further processing, i.e. with unaltered original message texts.

While there may be uses for the current behaviour, likely more often one rather wants not to have it.

I suggest to:

  • in any case provide php code which can be copied to a server and used without loss of information, i.e. all of the above unexpanded.
  • maybe add an option "expand constants, functions, transclusions, templates, remove html comments" (or have them checkboxed individually, whatever);

best to all of the php, html, and xml output formats.

  • I for one would not mind having standardized comments included in the php output, as are in the output of the rebuildLanguage.php maintenance script.
  • if that can be easily had, I'd suggest to allow a selection of source file order, and alphabetic order, at least for the php, preferrably everywhere.

Version: 1.11.x
Severity: enhancement
URL: http://ksh.wikipedia.org/w/index.php?title=Special:Allmessages&ot=php

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz13431.
bzimport created this task.Via LegacyMar 19 2008, 2:16 PM
brion added a comment.Via ConduitMar 19 2008, 7:48 PM

Looks to me like transforms should be disabled for all message loads on Special:Allmessages, no matter which output mode is being used.

IAlex added a comment.Via ConduitApr 2 2008, 11:52 AM

Fixed message transform in r32700.
(I don't close this bug because of the other requests.)

brion added a comment.Via ConduitApr 2 2008, 9:05 PM

Going ahead and resolving as FIXED. I'm a bit leery of the extra suggestions up top.

bzimport added a comment.Via ConduitApr 3 2008, 2:53 PM

bugzilla.wikimedia wrote:

Just for the records:
These were meant as suggestions or ideas, better to be passed to a programmer than being lost.
Had I meant them as requests or requirements, I would have choosen diffferent wording, or opened an extra bug for them.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.